Debian Bug report logs - #415992
No longer supports installing from floppy on Compaq 1590

version graph

Package: syslinux; Maintainer for syslinux is Daniel Baumann <mail@daniel-baumann.ch>; Source for syslinux is src:syslinux.

Reported by: "Ilya A. Naydov" <eliotfur@gmail.com>

Date: Fri, 23 Mar 2007 19:09:02 UTC

Severity: normal

Tags: d-i

Found in version syslinux/1:3.31-4

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Ilya A. Naydov" <eliotfur@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Ilya A. Naydov" <eliotfur@gmail.com>
To: submit@bugs.debian.org
Subject: Boot floppy fails to load initrd.gz (Etch)
Date: Fri, 23 Mar 2007 22:03:14 +0300
Package: installation-reports
Version: i386 20070317

I've tried to boot from floppy, but boot stopped on "Loading initrd.gz...."
Boot floppy from Sarge works well, but I cannot install Etch with this
floppy... And I have no Sarge CDs now, it tells about different
kernels on CD and on boot floppy...
I've noticed also that initrd.gz on Etch boot floppy is too small in
size in comparison with that on Sarge boot-floppy.

PS: Tried to install Etch on Compaq ARMADA 4131T... P166, 42Mb
memory... It cannot boot from CD :(



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Sylvain Ferriol <sferriol@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Sylvain Ferriol <sferriol@imag.fr>
To: "Ilya A. Naydov" <eliotfur@gmail.com>, 415992@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#415992: Boot floppy fails to load initrd.gz (Etch)
Date: Fri, 23 Mar 2007 22:50:14 +0100
On Fri, Mar 23, 2007 at 10:03:14PM +0300, Ilya A. Naydov wrote:
> Package: installation-reports
> Version: i386 20070317

is it the RC2 floppy image ? 
> 
> I've tried to boot from floppy, but boot stopped on "Loading initrd.gz...."
can you try with another floppy disk 
> Boot floppy from Sarge works well, but I cannot install Etch with this
> floppy... And I have no Sarge CDs now, it tells about different
> kernels on CD and on boot floppy...
> I've noticed also that initrd.gz on Etch boot floppy is too small in
> size in comparison with that on Sarge boot-floppy.
true, due to the increase of kernel 2.6 :(, the usb modules have been removed 
> 
> PS: Tried to install Etch on Compaq ARMADA 4131T... P166, 42Mb
> memory... It cannot boot from CD :(
> 
i've tested rc2 floppy images with qemu with 42Mb of memory and it works well
> 
> -- 
> To UNSUBSCRIBE, email to debian-boot-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact 
> listmaster@lists.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Sylvain Ferriol <sferriol@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Ilya A. Naydov" <eliotfur@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 415992@bugs.debian.org (full text, mbox):

From: "Ilya A. Naydov" <eliotfur@gmail.com>
To: 415992@bugs.debian.org
Subject: Re2: Bug#415992: Boot floppy fails to load initrd.gz (Etch)
Date: Mon, 26 Mar 2007 13:34:30 +0400
I've tried this boot floppy on another PC (Desktop, Intel-based,
Celeron)... It works well... So, it's not due to bad floppy...

If the latest weekly build contain RC2 installer then I used RC2
installer... :-)

Loading linux.....................
Loading initrd.gz.... (four dots, .gz is completly loaded in RAMdrive)

then it should start kernel, but it seems that it couldn't, I don't
know why... Can it be kernel2.6 incompatibility?..

I took boot floppy from 3.1r0 (I think it is not RC2) and it works
well on this very old laptop...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to sferriol <sylvain.ferriol@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 415992@bugs.debian.org (full text, mbox):

From: sferriol <sylvain.ferriol@imag.fr>
To: "Ilya A. Naydov" <eliotfur@gmail.com>, 415992@bugs.debian.org
Subject: Re: Bug#415992: Re2: Bug#415992: Boot floppy fails to load initrd.gz (Etch)
Date: Tue, 27 Mar 2007 12:20:54 +0200
[Message part 1 (text/plain, inline)]
Ilya A. Naydov wrote:
> I've tried this boot floppy on another PC (Desktop, Intel-based,
> Celeron)... It works well... So, it's not due to bad floppy...
> 
> If the latest weekly build contain RC2 installer then I used RC2
> installer... :-)
> 
the rc2 images are in:
http://ftp.nl.debian.org/debian/dists/testing/main/installer-i386/current/images/floppy/

> Loading linux.....................
> Loading initrd.gz.... (four dots, .gz is completly loaded in RAMdrive)
> 
i just try with an old dell latitude CP M233ST (pentium) and it works
> then it should start kernel, but it seems that it couldn't, I don't
> know why... Can it be kernel2.6 incompatibility?..
i'm not a kernel expert but can you play with bios options and kernel 
params (like acpi,...) at boot prompt
> 
> I took boot floppy from 3.1r0 (I think it is not RC2) and it works
> well on this very old laptop...
> 
> 

[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Ilya A. Naydov" <eliotfur@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 415992@bugs.debian.org (full text, mbox):

From: "Ilya A. Naydov" <eliotfur@gmail.com>
To: 415992@bugs.debian.org
Subject: I give up
Date: Tue, 27 Mar 2007 15:40:06 +0400
I'd played with all this options - nothing helps...
Finally, I've installed old Windows 98...

http://eliot-cougar.livejournal.com/98582.html

Just before that I installed Debian 3.1r2 successfully, but I've
experienced some problems with HDD access during boot (DMA time-out, I
think... I did not remember)...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to sferriol <sylvain.ferriol@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 415992@bugs.debian.org (full text, mbox):

From: sferriol <sylvain.ferriol@imag.fr>
To: "Ilya A. Naydov" <eliotfur@gmail.com>, 415992@bugs.debian.org
Subject: Re: Bug#415992: I give up
Date: Tue, 27 Mar 2007 14:41:16 +0200
[Message part 1 (text/plain, inline)]
Ilya A. Naydov wrote:
> I'd played with all this options - nothing helps...
> Finally, I've installed old Windows 98...
> 
> http://eliot-cougar.livejournal.com/98582.html
> 
> Just before that I installed Debian 3.1r2 successfully, but I've
> experienced some problems with HDD access during boot (DMA time-out, I
> think... I did not remember)...
> 
> 
ok, before giving up, just try in the boot prompt:
install vga=771 noapic nolapic


[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Ilya A. Naydov" <eliotfur@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 415992@bugs.debian.org (full text, mbox):

From: "Ilya A. Naydov" <eliotfur@gmail.com>
To: 415992@bugs.debian.org
Subject: Re2: Bug#415992: I give up
Date: Tue, 27 Mar 2007 20:10:05 +0400
I know... I've tried it four days ago, soon after reading "F1", with
no results...


I suspended my experiments with this laptop anyway...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to bmward@inet.net.nz:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 415992@bugs.debian.org (full text, mbox):

From: bmward@inet.net.nz
To: sferriol@imag.fr
Cc: 415992@bugs.debian.org
Subject: initrd halts on Compaq laptop
Date: Wed, 28 Mar 2007 00:06:48 GMT
I seem to have the same problem as Ilya Naydov.

Installing on Compaq 1590DT with 48MB RAM (Pentium 166) and using RC2 floppy
image (no CD drive)

Halts at "Loading initrd.gz...." (thats 4 dots).

I've written a new floppy - same result.

Same floppy set installed OK on a very recent desktop just 2 days ago!
Files on floppy are dated 10 March 2007

Hope this helps

Bruce
Ward




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to bmward@inet.net.nz:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 415992@bugs.debian.org (full text, mbox):

From: bmward@inet.net.nz
To: sferriol@imag.fr
Cc: 415992@bugs.debian.org
Subject: Bug#415992: initrd halts on Compaq laptop
Date: Wed, 28 Mar 2007 00:31:06 GMT
I can now confirm that this is not a problem with the Sarge boot floppy (laptop
is now asking for the root floppy).

Appears to be a d-i problem for Etch

Bruce
Ward




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 415992@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 415992@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: bmward@inet.net.nz, 415992@bugs.debian.org
Cc: 415992-submitter@bugs.debian.org
Subject: Re: Bug#415992: initrd halts on Compaq laptop
Date: Thu, 29 Mar 2007 04:16:55 +0200
[Message part 1 (text/plain, inline)]
On Wednesday 28 March 2007 02:06, bmward@inet.net.nz wrote:
> I seem to have the same problem as Ilya Naydov.
>
> Installing on Compaq 1590DT with 48MB RAM (Pentium 166) and using RC2
> floppy image (no CD drive)
>
> Halts at "Loading initrd.gz...." (thats 4 dots).
>
> Same floppy set installed OK on a very recent desktop just 2 days ago!
> Files on floppy are dated 10 March 2007

Basically that confirms that this is not a problem with the installer or 
with the floppy images themselves. It looks like the problem is either 
with the floppies or your floppy drive (and different machines _can_ 
behave differently with the same floppies: floppy drives are known to be 
very unreliable), or the problem is with kernel support for your 
hardware.

Note that this problem happens before the installer itself is really 
started.

> I can now confirm that this is not a problem with the Sarge boot floppy
> (laptop is now asking for the root floppy).

This seems to indicate that it could possibly also be a problem with the 
syslinux (which is used to boot the installer) version used in Etch.

Could you try the attached boot floppy image which was created with the 
Sarge version of syslinux?

Cheers,
FJP

[boot.img (application/octet-stream, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Message sent on to "Ilya A. Naydov" <eliotfur@gmail.com>:
Bug#415992. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to bmward@myrealbox.com:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #63 received at 415992@bugs.debian.org (full text, mbox):

From: Bruce Ward <bmward@inet.net.nz>
To: 415992@bugs.debian.org
Subject: Re: Bug#415992: initrd halts on Compaq laptop
Date: Fri, 30 Mar 2007 15:19:38 +1200
Well, that's different! Seems to work properly!

Looking good, I've now got a prompt to insert the Root floppy.

Unfortuantely, I'm just off on an overnight trip, so won't be able to 
test any more until tomorrow evening.

Cheers,
Bruce Ward

Frans Pop wrote:
> On Wednesday 28 March 2007 02:06, bmward@inet.net.nz wrote:
> 
>>I seem to have the same problem as Ilya Naydov.
>>
>>Installing on Compaq 1590DT with 48MB RAM (Pentium 166) and using RC2
>>floppy image (no CD drive)
>>
>>Halts at "Loading initrd.gz...." (thats 4 dots).
>>
>>Same floppy set installed OK on a very recent desktop just 2 days ago!
>>Files on floppy are dated 10 March 2007
> 
> 
> Basically that confirms that this is not a problem with the installer or 
> with the floppy images themselves. It looks like the problem is either 
> with the floppies or your floppy drive (and different machines _can_ 
> behave differently with the same floppies: floppy drives are known to be 
> very unreliable), or the problem is with kernel support for your 
> hardware.
> 
> Note that this problem happens before the installer itself is really 
> started.
> 
> 
>>I can now confirm that this is not a problem with the Sarge boot floppy
>>(laptop is now asking for the root floppy).
> 
> 
> This seems to indicate that it could possibly also be a problem with the 
> syslinux (which is used to boot the installer) version used in Etch.
> 
> Could you try the attached boot floppy image which was created with the 
> Sarge version of syslinux?
> 
> Cheers,
> FJP
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to sferriol <sylvain.ferriol@imag.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #68 received at 415992@bugs.debian.org (full text, mbox):

From: sferriol <sylvain.ferriol@imag.fr>
To: bmward@myrealbox.com, 415992@bugs.debian.org
Subject: Re: Bug#415992: initrd halts on Compaq laptop
Date: Fri, 30 Mar 2007 11:02:30 +0200
[Message part 1 (text/plain, inline)]
Bruce Ward wrote:
> Well, that's different! Seems to work properly!
> 
> Looking good, I've now got a prompt to insert the Root floppy.
> 
> Unfortuantely, I'm just off on an overnight trip, so won't be able to 
> test any more until tomorrow evening.
ok so can you test the complete install

and it seems to be a syslinux bug ?
i think you have to find the first  version of syslinux which does not 
work from sarge to etch

you can do that by using snapshot.debian.net:

 apt line for this package:

    deb http://snapshot.debian.net/archive pool syslinux
    deb-src http://snapshot.debian.net/archive pool syslinux

then, you can install specific version of package as follows:

    apt-get install binary-package=version
> 
> Cheers,
> Bruce Ward
> 


[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#415992; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 415992@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #73 received at 415992@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: bmward@myrealbox.com, 415992@bugs.debian.org
Subject: Re: Bug#415992: initrd halts on Compaq laptop
Date: Fri, 30 Mar 2007 13:05:53 +0200
reassign 415992 syslinux 1:3.31-4
retitle 415992 No longer supports installing from floppy on Compaq 1590
tags 415992 + d-i
thanks

On Friday 30 March 2007 05:19, Bruce Ward wrote:
> Well, that's different! Seems to work properly!
> Looking good, I've now got a prompt to insert the Root floppy.

OK, so that confirms that your floppy boot problem is caused by a 
regression in syslinux. Therefore reassigning your report to the package.

Cheers,
FJP



Bug reassigned from package `installation-reports' to `syslinux'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 30 Mar 2007 11:09:08 GMT) Full text and rfc822 format available.

Changed Bug title to No longer supports installing from floppy on Compaq 1590 from Boot floppy fails to load initrd.gz (Etch). Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 30 Mar 2007 11:09:09 GMT) Full text and rfc822 format available.

Tags added: d-i Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Fri, 30 Mar 2007 11:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to bmward@myrealbox.com:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #84 received at 415992@bugs.debian.org (full text, mbox):

From: Bruce Ward <bmward@myrealbox.com>
To: sferriol <sylvain.ferriol@imag.fr>
Cc: 415992@bugs.debian.org
Subject: Re: Bug#415992: initrd halts on Compaq laptop
Date: Sun, 01 Apr 2007 16:55:54 +1200
Yes, I'll test a complete install - tomorrow at work, for I do not have 
a good Internet connection here at home. Shall I use the RC2 Root floppy 
since the installer itself has not yet started?

I doubt that I have the expertise (or time) to build a new root floppy 
to test the versions of syslinux, but I will give it a go - don't expect 
it in the next week!

Cheers, Bruce

sferriol wrote:
> Bruce Ward wrote:
> 
>> Well, that's different! Seems to work properly!
>>
>> Looking good, I've now got a prompt to insert the Root floppy.
>>
>> Unfortuantely, I'm just off on an overnight trip, so won't be able to 
>> test any more until tomorrow evening.
> 
> ok so can you test the complete install
> 
> and it seems to be a syslinux bug ?
> i think you have to find the first  version of syslinux which does not 
> work from sarge to etch
> 
> you can do that by using snapshot.debian.net:
> 
>  apt line for this package:
> 
>     deb http://snapshot.debian.net/archive pool syslinux
>     deb-src http://snapshot.debian.net/archive pool syslinux
> 
> then, you can install specific version of package as follows:
> 
>     apt-get install binary-package=version
> 
>>
>> Cheers,
>> Bruce Ward
>>
> 
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to Sylvain Ferriol <sferriol@imag.fr>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #89 received at 415992@bugs.debian.org (full text, mbox):

From: Sylvain Ferriol <sferriol@imag.fr>
To: Bruce Ward <bmward@myrealbox.com>
Cc: sferriol <sylvain.ferriol@imag.fr>, 415992@bugs.debian.org
Subject: Re: Bug#415992: initrd halts on Compaq laptop
Date: Sun, 1 Apr 2007 21:55:43 +0200
On Sun, Apr 01, 2007 at 04:55:54PM +1200, Bruce Ward wrote:
> Yes, I'll test a complete install - tomorrow at work, for I do not have 
> a good Internet connection here at home. Shall I use the RC2 Root floppy 
> since the installer itself has not yet started?
> 
> I doubt that I have the expertise (or time) to build a new root floppy 
> to test the versions of syslinux, but I will give it a go - don't expect 
> it in the next week!

you do not have to test other floppies because they are ext2 image and we do not use syslinux for building them.
syslinux is just use for the first boot floppy 

> 
> Cheers, Bruce
> 
> sferriol wrote:
> >Bruce Ward wrote:
> >
> >>Well, that's different! Seems to work properly!
> >>
> >>Looking good, I've now got a prompt to insert the Root floppy.
> >>
> >>Unfortuantely, I'm just off on an overnight trip, so won't be able to 
> >>test any more until tomorrow evening.
> >
> >ok so can you test the complete install
> >
> >and it seems to be a syslinux bug ?
> >i think you have to find the first  version of syslinux which does not 
> >work from sarge to etch
> >
> >you can do that by using snapshot.debian.net:
> >
> > apt line for this package:
> >
> >    deb http://snapshot.debian.net/archive pool syslinux
> >    deb-src http://snapshot.debian.net/archive pool syslinux
> >
> >then, you can install specific version of package as follows:
> >
> >    apt-get install binary-package=version
> >
> >>
> >>Cheers,
> >>Bruce Ward
> >>
> >
> >



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to bmward@myrealbox.com:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #94 received at 415992@bugs.debian.org (full text, mbox):

From: Bruce Ward <bmward@myrealbox.com>
To: Sylvain Ferriol <sferriol@imag.fr>
Cc: 415992@bugs.debian.org
Subject: Re: Bug#415992: initrd halts on Compaq laptop
Date: Mon, 02 Apr 2007 21:34:17 +1200
OK, the complete install with the boot image Frans Pop provided has been 
tested, and it _appears_ to be fine. Install goes well, but laptop will 
not boot.

The laptop will not boot (yet, tomorrow is another day) - but that is 
probably a result of trying to get rid of a drive overlay program and 
hence a totally different issue. I'll update when I have more 
information or a beter result.

Cheers,
Bruce Ward

Sylvain Ferriol wrote:
> On Sun, Apr 01, 2007 at 04:55:54PM +1200, Bruce Ward wrote:
> 
>>Yes, I'll test a complete install - tomorrow at work, for I do not have 
>>a good Internet connection here at home. Shall I use the RC2 Root floppy 
>>since the installer itself has not yet started?
>>
>>I doubt that I have the expertise (or time) to build a new root floppy 
>>to test the versions of syslinux, but I will give it a go - don't expect 
>>it in the next week!
> 
> 
> you do not have to test other floppies because they are ext2 image and we do not use syslinux for building them.
> syslinux is just use for the first boot floppy 
> 
> 
>>Cheers, Bruce
>>
>>sferriol wrote:
>>
>>>Bruce Ward wrote:
>>>
>>>
>>>>Well, that's different! Seems to work properly!
>>>>
>>>>Looking good, I've now got a prompt to insert the Root floppy.
>>>>
>>>>Unfortuantely, I'm just off on an overnight trip, so won't be able to 
>>>>test any more until tomorrow evening.
>>>
>>>ok so can you test the complete install
>>>
>>>and it seems to be a syslinux bug ?
>>>i think you have to find the first  version of syslinux which does not 
>>>work from sarge to etch
>>>
>>>you can do that by using snapshot.debian.net:
>>>
>>>apt line for this package:
>>>
>>>   deb http://snapshot.debian.net/archive pool syslinux
>>>   deb-src http://snapshot.debian.net/archive pool syslinux
>>>
>>>then, you can install specific version of package as follows:
>>>
>>>   apt-get install binary-package=version
>>>
>>>
>>>>Cheers,
>>>>Bruce Ward
>>>>
>>>
>>>
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to 415992@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #99 received at 415992@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 415992@bugs.debian.org, 415992-submitter@bugs.debian.org
Subject: Bug: #415992 No longer supports installing from floppy on Compaq 1590
Date: Thu, 10 May 2007 16:08:16 +0200
[Message part 1 (text/plain, inline)]
I have created boot floppy images for six different versions of syslinux, 
including the current versions in unstable and experimental. The version 
included in the name of the image is the syslinux version used.

Could you please try them all and tell us which work and which don't? Note 
that you only need to check which images boot; you can reboot as soon as 
you are asked to insert the root floppy.

The images are available from:
http://people.debian.org/~fjp/d-i/syslinux_d-i/

TIA,
FJP
[Message part 2 (application/pgp-signature, inline)]

Message sent on to "Ilya A. Naydov" <eliotfur@gmail.com>:
Bug#415992. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to "Bruce M. Ward" <bmward@myrealbox.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #107 received at 415992@bugs.debian.org (full text, mbox):

From: "Bruce M. Ward" <bmward@myrealbox.com>
To: 415992@bugs.debian.org
Subject: Re: Bug: #415992 No longer supports installing from floppy on Compaq 1590
Date: Sun, 13 May 2007 22:18:40 +0000
Greetings Frans.

OK, I'll give these a try, but it might be a while before I can test any number of them! Friday of this week looks like my first opportunity.

Cheers, Bruce Ward

-----Original Message-----
From: Frans Pop <elendil@planet.nl>
To: Bruce Ward <bmward@myrealbox.com>
Date: Sun, 13 May 2007 04:53:00 +0200
Subject: Bug: #415992 No longer supports installing from floppy on Compaq 1590

(I already sent this message to the BR and the original submitter, but I'm 
unsure if you got it; please reply to the BTS.)

I have created boot floppy images for six different versions of syslinux, 
including the current versions in unstable and experimental. The version 
included in the name of the image is the syslinux version used.

Could you please try them all and tell us which work and which don't? Note 
that you only need to check which images boot; you can reboot as soon as 
you are asked to insert the root floppy.

The images are available from:
http://people.debian.org/~fjp/d-i/syslinux_d-i/

TIA,
FJP


= = = = = = = = = = = = = = = = = = = = = = =
Bruce Ward          Christchurch, New Zealand



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to bmward@myrealbox.com:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #112 received at 415992@bugs.debian.org (full text, mbox):

From: Bruce Ward <bmward@myrealbox.com>
To: 415992@bugs.debian.org
Subject: Re: Bug: #415992 No longer supports installing from floppy on Compaq 1590
Date: Thu, 17 May 2007 21:43:07 +1200
Greetings Frans

Results of testing boot floppy images on Compaq 1590DT:
boot-3.50~pre6-1	OK - root disk prompt appears
boot-3.36-2		halts - no root disk prompt
boot-3.31-4		halts - no root disk prompt
boot-3.20-2		halts - no root disk prompt
boot-3.11-3		halts - no root disk prompt
boot-2.11-0.1		OK - root disk prompt appears

Looks like we have 2 out of 6. Hope this helps.

Happy to be able to help.

Bruce Ward



Frans Pop wrote:
> (I already sent this message to the BR and the original submitter, but I'm 
> unsure if you got it; please reply to the BTS.)
> 
> I have created boot floppy images for six different versions of syslinux, 
> including the current versions in unstable and experimental. The version 
> included in the name of the image is the syslinux version used.
> 
> Could you please try them all and tell us which work and which don't? Note 
> that you only need to check which images boot; you can reboot as soon as 
> you are asked to insert the root floppy.
> 
> The images are available from:
> http://people.debian.org/~fjp/d-i/syslinux_d-i/
> 
> TIA,
> FJP



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to 415992@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #117 received at 415992@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: bmward@myrealbox.com, 415992@bugs.debian.org
Subject: Re: Bug#415992: Bug: #415992 No longer supports installing from floppy on Compaq 1590
Date: Thu, 17 May 2007 12:26:25 +0200
[Message part 1 (text/plain, inline)]
On Thursday 17 May 2007 11:43, Bruce Ward wrote:
> Results of testing boot floppy images on Compaq 1590DT:
> boot-3.50~pre6-1	OK - root disk prompt appears

This is good news as it means the regression is fixed in the latest 
version of syslinux and will thus also be fixed for Lenny fairly soon.

> boot-3.36-2		halts - no root disk prompt
> boot-3.31-4		halts - no root disk prompt
> boot-3.20-2		halts - no root disk prompt
> boot-3.11-3		halts - no root disk prompt

This means that all intermediate versions are broken. the regression was 
probably introduced early in the 3.x upstream series.

> boot-2.11-0.1		OK - root disk prompt appears

This was expected. It's the same version you tested earlier.

> Looks like we have 2 out of 6. Hope this helps.

Thanks a lot for your efforts on this.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Message sent on to "Ilya A. Naydov" <eliotfur@gmail.com>:
Bug#415992. Full text and rfc822 format available.

Message #120 received at 415992-submitter@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 415992-submitter@bugs.debian.org
Subject: Re: Bug#415992: Bug: #415992 No longer supports installing from floppy on Compaq 1590
Date: Thu, 17 May 2007 13:33:28 +0200
[Message part 1 (text/plain, inline)]
On Thursday 17 May 2007 11:43, Bruce Ward wrote:
> Results of testing boot floppy images on Compaq 1590DT:
> boot-3.50~pre6-1	OK - root disk prompt appears

This is good news as it means the regression is fixed in the latest 
version of syslinux and will thus also be fixed for Lenny fairly soon.

> boot-3.36-2		halts - no root disk prompt
> boot-3.31-4		halts - no root disk prompt
> boot-3.20-2		halts - no root disk prompt
> boot-3.11-3		halts - no root disk prompt

This means that all intermediate versions are broken. the regression was 
probably introduced early in the 3.x upstream series.

> boot-2.11-0.1		OK - root disk prompt appears

This was expected. It's the same version you tested earlier.

> Looks like we have 2 out of 6. Hope this helps.

Thanks a lot for your efforts on this.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#415992; Package syslinux. Full text and rfc822 format available.

Acknowledgement sent to 415992@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #125 received at 415992@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 415992@bugs.debian.org
Cc: bmward@myrealbox.com
Subject: Re: Bug#415992: Bug: #415992 No longer supports installing from floppy on Compaq 1590
Date: Sun, 3 Jun 2007 22:34:56 +0200
[Message part 1 (text/plain, inline)]
On Thursday 17 May 2007 12:26, Frans Pop wrote:
> > Looks like we have 2 out of 6. Hope this helps.
>
> Thanks a lot for your efforts on this.

I have just added an erratum for the Etch installer with a link to several 
alternative installer images built using syslinux 2.11 (should show up 
after next update of the website):
http://www.debian.org/releases/etch/debian-installer/index.en.html#errata
[Message part 2 (application/pgp-signature, inline)]

Reply sent to daniel@debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Ilya A. Naydov" <eliotfur@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #130 received at 415992-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 415992-done@bugs.debian.org
Date: Thu, 17 Apr 2008 13:32:01 +0200
according to submitter fixed in post-etch syslinux; thus closing, and
thanks again to fjp.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 May 2008 08:08:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:12:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.